Loading...
Searching...
No Matches
GradientNormSqrd< UniformScaleMap, GradScheme > Struct Template Reference

Partial template specialization of GradientNormSqrd. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor>
static Accessor::ValueType | result (const UniformScaleMap &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static StencilT::ValueType | result (const UniformScaleMap &map, const StencilT &stencil)

## Static Public Attributes

static const DScheme | FD
static const DScheme | BD

## Detailed Description

template<BiasedGradientScheme GradScheme>
struct openvdb::v11_0::math::GradientNormSqrd< UniformScaleMap, GradScheme >

Partial template specialization of GradientNormSqrd.

## Member Function Documentation

## result() [1/2]

template<BiasedGradientScheme GradScheme>
template<typename Accessor>

Accessor::ValueType result | ( | const UniformScaleMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )

inlinestatic

## result() [2/2]

template<BiasedGradientScheme GradScheme>
template<typename StencilT>

StencilT::ValueType result | ( | const UniformScaleMap & | map,
|  | const StencilT & | stencil )

inlinestatic

## Member Data Documentation

## BD

const DScheme BD

static

## FD

const DScheme FD

static